Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.meta
Class ClassIndicator

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.meta.Indicator
                  |
                  +--com.solarmetric.rd.kodo.impl.jdbc.meta.ClassIndicator

Direct Known Subclasses:
  ColumnClassIndicator

public abstract class ClassIndicator
extends Indicator

Handles determining the object class of database records.

Field Summary

Fields inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
`DEFAULT, FALSE, LOB, TRUE, UNIQUE`

Constructor Summary
`ClassIndicator()`

Method Summary
`abstract void` | `addClassConditions(com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store, com.solarmetric.rd.kodo.impl.jdbc.runtime.Select sel, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping base, boolean subs)` Add SQL to limit the classes selected as much as possible to the given base class, and optionally its subclasses.
`abstract java.lang.Class` | `getClass(com.solarmetric.rd.kodo.impl.jdbc.runtime.Result result, java.lang.ClassLoader loader)` Return the class for the current result row.
`static com.solarmetric.rd.kodo.impl.jdbc.meta.ClassIndicator[]` | `getDefaults()` Return the default set of available class indicators.
`com.solarmetric.rd.kodo.impl.jdbc.meta.ClassIndicator` | `newInstance()` Return a new instance of this class.
`static com.solarmetric.rd.kodo.impl.jdbc.meta.ClassIndicator` | `newInstance(java.lang.String type)` Return the indicator for the given indicator name.
`java.lang.String` | `toString()`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Indicator
`delete, getMappingRepository, getOwnerMapping, getTable, insert, refSchemaComponents, select, setOwnerMapping, update`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
`checkIndex, createColumn, delete, fromMappingInfo, getDBDictionary, getForeignKey, getLog, getMappingType, getSchemaGroup, insert, invalidMapping, isCustomDelete, isCustomInsert, isCustomUpdate, map, reverseMap, setForeignKey, toMappingInfo, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassIndicator

    public ClassIndicator()

Method Detail

### getDefaults

    public static com.solarmetric.rd.kodo.impl.jdbc.meta.ClassIndicator[] getDefaults()

  Return the default set of available class indicators.

### newInstance

    public static com.solarmetric.rd.kodo.impl.jdbc.meta.ClassIndicator newInstance(java.lang.String type)

  Return the indicator for the given indicator name.

### getClass

    public abstract java.lang.Class getClass(com.solarmetric.rd.kodo.impl.jdbc.runtime.Result result,
                                             java.lang.ClassLoader loader)
                                      throws java.sql.SQLException,
                                             java.lang.ClassNotFoundException

  Return the class for the current result row.

    `java.sql.SQLException`
    `java.lang.ClassNotFoundException`

### addClassConditions

    public abstract void addClassConditions(com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store,
                                            com.solarmetric.rd.kodo.impl.jdbc.runtime.Select sel,
                                            com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping base,
                                            boolean subs)

  Add SQL to limit the classes selected as much as possible to the given base class, and optionally its subclasses.

### newInstance

    public com.solarmetric.rd.kodo.impl.jdbc.meta.ClassIndicator newInstance()

  Return a new instance of this class.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.